[Rubygems-developers] problems with 1.3.0 non-root autoinstall

Chad Woolley thewoolleyman at gmail.com
Thu Aug 21 14:35:20 EDT 2008


On Thu, Aug 21, 2008 at 9:38 AM, Martin Krauskopf
<martin.krauskopf at gmail.com> wrote:
> Might be you forgot '-i' option?
>
>  $ gem uni -i ~/.gem rake

No, still can't uninstall it out of ~/.gem even with that option, and
rubygems thinks it is not installed, even though it is there:

chadmac:workspace woolley$ gem uninstall -i ~/.gem selenium-rails
ERROR:  While executing gem ... (Gem::InstallError)
    Unknown gem selenium-rails >= 0
chadmac:workspace woolley$ gem list selenium-rails

*** LOCAL GEMS ***


chadmac:workspace woolley$ gem uninstall -i ~/.gem selenium-rails
ERROR:  While executing gem ... (Gem::InstallError)
    Unknown gem selenium-rails >= 0
chadmac:workspace woolley$ ls ~/.gem/ruby/1.8/gems/selenium-rails-0.0.1
Manifest		README.txt		lib			selenium-rails.gemspec
chadmac:workspace woolley$ cat ~/.gemrc
---
:sources:
- http://gems.rubyforge.org
- http://gems.github.com
:update_sources: true
:bulk_threshold: 1000
:verbose: true
:benchmark: false
#gemhome: /Users/woolley/.gem/ruby/1.8
#gempath:
#- /Users/woolley/.gem/ruby/1.8
:backtrace: false
chadmac:workspace woolley$ gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.0
  - RUBY VERSION: 1.8.6 (2008-03-03 patchlevel 114) [universal-darwin9.0]
  - INSTALLATION DIRECTORY: /Library/Ruby/Gems/1.8
  - RUBY EXECUTABLE:
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
  - EXECUTABLE DIRECTORY: /usr/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - universal-darwin-9
  - GEM PATHS:
     - /Library/Ruby/Gems/1.8
     - /Users/woolley/.gem/ruby/1.8
     - /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://gems.rubyforge.org", "http://gems.github.com"]
  - REMOTE SOURCES:
     - http://gems.rubyforge.org
     - http://gems.github.com


More information about the Rubygems-developers mailing list